net.corda.contracts.asset

## Class Clauses.Issue

- Clause
- - AbstractIssue
  - - net.corda.contracts.asset.CommodityContract.Clauses.Issue

- Enclosing interface:
    CommodityContract.Clauses

      public static class Clauses.Issue
      extends AbstractIssue

  Standard issue clause, specialised to match the commodity issue command.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.contracts.clauses.Clause

      `Clause.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.contracts.clauses.Clause

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Issue()` Standard issue clause, specialised to match the commodity issue command.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Class>` | `getRequiredCommands()` Determine whether this clause runs or not

    - ### Methods inherited from class net.corda.contracts.clause.AbstractIssue

      `getSum, getSumOrZero, verify`

    - ### Methods inherited from class net.corda.core.contracts.clauses.Clause

      `getExecutionPath, getRequiredCommands, verify`

- - ### Constructor Detail

    - #### Issue

          public Issue()

      Standard issue clause, specialised to match the commodity issue command.

  - ### Method Detail

    - #### getRequiredCommands

          public java.util.Set<java.lang.Class> getRequiredCommands()

      Determine whether this clause runs or not